# setup.py
# Copyright 2011 Roger Marsh
# Licence: See LICENCE (BSD licence)

from setuptools import setup

if __name__ == '__main__':

    long_description = open('README').read()

    setup(
        name='chessresults',
        version='3.1',
        description='Results database for chess games',
        author='Roger Marsh',
        author_email='roger.marsh@solentware.co.uk',
        url='http://www.solentware.co.uk',
        package_dir={'chessresults':''},
        packages=[
            'chessresults',
            'chessresults.core', 'chessresults.help', 'chessresults.basecore',
            'chessresults.gui', 'chessresults.gui.minorbases',
            'chessresults.db', 'chessresults.dpt', 'chessresults.sqlite',
            'chessresults.apsw',
            'chessresults.about', 'chessresults.tools',
            ],
        package_data={
            'chessresults.about': ['LICENCE', 'CONTACT'],
            'chessresults.help': ['*.txt'],
            },
        long_description=long_description,
        license='BSD',
        classifiers=[
            'License :: OSI Approved :: BSD License',
            'Programming Language :: Python :: 3.4',
            'Programming Language :: Python :: 3.5',
            'Programming Language :: Python :: 3.6',
            'Operating System :: OS Independent',
            'Topic :: Games/Entertainment :: Board Games',
            'Intended Audience :: End Users/Desktop',
            'Development Status :: 4 - Beta',
            ],
        install_requires=['solentware-base==3.0',
                          'chesscalc==1.1.1',
                          'emailstore==1.3.1',
                          'emailextract==0.6',
                          'solentware-grid==1.2',
                          'solentware-misc==1.1.1',
                          ],
        dependency_links=[
            'http://solentware.co.uk/files/solentware-base-3.0.tar.gz',
            'http://solentware.co.uk/files/chesscalc-1.1.1.tar.gz',
            'http://solentware.co.uk/files/emailstore-1.3.1.tar.gz',
            'http://solentware.co.uk/files/emailextract-0.6.tar.gz',
            'http://solentware.co.uk/files/solentware-grid-1.2.tar.gz',
            'http://solentware.co.uk/files/solentware-misc-1.1.1.tar.gz',
            ],
        )
